J.Hawkesworth <J.Hawkesworth / talis.com> skrev den Mon, 8 Sep 2003 19:31:26 +0900:

> Hello Robert,
>
Hi,

> I think maybe there is a problem with your installation of ruby or gcc?
>
> I just built ruby from sources on RedHat 8.0, gcc version 3.2 20020903 then copy and pasted your code.
>
> <snip>
> I have just noticed that you are using cygwin - maybe the problem is there?
>
Yeah, you're probably right. It works on my linux machine here also.
Problem is I have a recent cygwin and fresh Ruby build.

$ gcc --version
gcc (GCC) 3.2 20020927 (prerelease)

$ ruby -v
ruby 1.8.0 (2003-09-06) [i386-cygwin]

Any ideas welcome.

Regards,

Robert